## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

#
Name:           airtsp
Version:        1.01.14
Release:        %autorelease

Summary:        C++ Simulated Airline Travel Solution Provider Library

License:        LGPL-2.1-or-later
URL:            https://github.com/airsim/%{name}
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  soci-devel
BuildRequires:  soci-mysql-devel
BuildRequires:  soci-sqlite3-devel
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(stdair)

%description
%{name} aims at providing a clean API and a simple implementation, as
a C++ library, of an Airline Schedule Management System. It is intended
to be used in simulated environments only: it is not designed to work
in the real-world of Airline IT operations.

%{name} makes an extensive use of existing open-source libraries for
increased functionality, speed and accuracy. In particular the
Boost (C++ Standard Extensions: https://www.boost.org) library is used.

Install the %{name} package if you need a library of basic C++ objects
for Airline Schedule Management, mainly for simulation purpose.

%package        devel
Summary:        Header files, libraries and development helper tools for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This package contains the header files, shared libraries and
development helper tools for %{name}. If you would like to develop
programs using %{name}, you will need to install %{name}-devel.

%package        doc
Summary:        HTML documentation for the %{name} library
BuildArch:      noarch
BuildRequires:  tex(latex), tex(sectsty.sty), tex(tocloft.sty), tex(xtab.sty)
BuildRequires:  texlive-epstopdf
BuildRequires:  doxygen
BuildRequires:  ghostscript
BuildRequires:  graphviz

%description    doc
This package contains HTML pages, as well as a PDF reference manual,
for %{name}. All that documentation is generated thanks to Doxygen
(https://doxygen.org). The content is the same as what can be browsed
online (https://%{name}.org).


%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

# Remove the Doxygen installer
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}/html/installdox

# Remove additional documentation files (those files are already available
# in the project top directory)
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}/{NEWS,README.md,AUTHORS}

%check
#ctest


%files
%doc AUTHORS ChangeLog NEWS README.md
%license COPYING
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}.1.*

%files devel
%license COPYING
%{_includedir}/%{name}/
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/
%{_datadir}/aclocal/%{name}.m4
%{_mandir}/man1/%{name}-config.1.*
%{_mandir}/man3/%{name}-library.3.*

%files doc
%doc %{_docdir}/%{name}/
%license COPYING


%changelog
## START: Generated by rpmautospec
* Mon May 05 2025 Pavol Sloboda <psloboda@redhat.com> - 1.01.14-2
- Removed the redundant BuildRequires of mysql-devel I have removed the
  redundant BuildRequires of mysql-devel as it is already uncoditionally
  required by soci-mysql-devel, which is in turn uncoditionally required by
  this package thus being available in the build chroot transitively.

* Mon Mar 31 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.14-1
- Upstream upgrade

* Sun Mar 30 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.13-1
- Upstream upgrade

* Mon Jan 27 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.12-1
- Upstream update

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Mar 23 2024 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.11-1
- Upstream upgrade

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 18 2024 Jonathan Wakely <jwakely@redhat.com> - 1.01.10-5
- Rebuilt for Boost 1.83

* Mon Nov 13 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.10-4
- Modernized the spec file

* Mon Nov 13 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.10-3
- Modernized the spec file

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 01 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.10-1
- Upstream upgrade

* Mon Feb 20 2023 Jonathan Wakely <jwakely@redhat.com> - 1.01.9-4
- Rebuilt for Boost 1.81

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 10 2022 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.9-1
- Upgraded to v1.01.9

* Wed May 04 2022 Thomas Rodgers <trodgers@redhat.com> - 1.01.8-8
- Rebuilt for Boost 1.78

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Aug 07 2021 Jonathan Wakely <jwakely@redhat.com> - 1.01.8-6
- Rebuilt for Boost 1.76

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 28 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.8-3
- Fixed setup

* Mon Jun 28 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.8-2
- Fixed changelog

* Mon Jun 28 2021 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.8-1
- Upstream update (BZ#1976545)

* Mon Jan 25 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 2021 Jonathan Wakely <jwakely@redhat.com> - 1.01.7-10
- Rebuilt for Boost 1.75

* Sun Aug 09 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.7-9
- Removed the docdir work around (no longer needed)

* Sun Aug 09 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.7-8
- Removed the work around for document directory

* Fri Jul 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.7-7
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jul 05 2020 Neal Gompa <ngompa13@gmail.com> - 1.01.7-5
- Install license as license file

* Sun Jul 05 2020 Neal Gompa <ngompa13@gmail.com> - 1.01.7-4
- Update to new out-of-source build mechanism

* Sat Jun 06 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.7-3
- Rebuilt for SOCI 4.0.1-alpha2

* Wed Jun 03 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.7-2
- Rebuilt for Boost 1.73

* Sun May 31 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.7-1
- Upstream update

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 1.01.6-3
- Rebuilt for Python 3.9

* Thu Feb 06 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.6-2
- Fixed the pkg-config issue

* Thu Feb 06 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.6-1
- Fixed the pkg-config issue

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 1.01.5-4
- Rebuilt for Python 3.8

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 12 2019 Miro Hrončok <miro@hroncok.cz> - 1.01.5-2
- Pin the Python version this was built with

* Thu Jul 11 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.5-1
- CMake support files updated for Python 3.8

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jan 24 2019 Jonathan Wakely <jwakely@redhat.com> - 1.01.4-2
- Rebuilt for Boost 1.69

* Thu Jan 17 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.4-1
- Upstream update

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jason Tibbitts <tibbs@math.uh.edu> - 1.01.3-14
- Remove needless use of %%defattr

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 1.01.3-13
- add BuildRequires: gcc-c++

* Thu May 10 2018 Jonathan Wakely <jwakely@redhat.com> - 1.01.3-12
- Add BuildRequires: boost-python2-devel to fix build with
  boost-1.66.0-7.fc29

* Wed Feb 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.01.3-11
- Remove %%clean section

* Tue Feb 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.01.3-10
- Remove BuildRoot definition

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 23 2018 Jonathan Wakely <jwakely@redhat.com> - 1.01.3-8
- Rebuilt for Boost 1.66

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.3-7
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 24 2017 Björn Esser <besser82@fedoraproject.org> - 1.01.3-5
- Rebuilt for Boost 1.64

* Mon May 15 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.01.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 15 2017 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.3-2
- Fixed a typo in the version format for the changelog record

* Fri Jan 13 2017 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.3-1
- Fixed a compatibility issue with C++11 with std::istringstream. BZ
  #1307310

* Thu Jan 12 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.01.2-10
- Rebuild for readline 7.x

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 1.01.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 Jonathan Wakely <jwakely@redhat.com> - 1.01.2-8
- Rebuilt for Boost 1.60

* Sun Aug 30 2015 Jonathan Wakely <jwakely@redhat.com> - 1.01.2-7
- Patched and rebuilt for Boost 1.59

* Sat Aug 29 2015 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.2-6
- Mass rebuild

* Wed Jul 29 2015 Dennis Gilmore <dennis@ausil.us> - 1.01.2-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 1.01.2-4
- rebuild for Boost 1.58

* Tue Jun 16 2015 Dennis Gilmore <dennis@ausil.us> - 1.01.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 13 2015 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.2-2
- Fixed the installed documentation directory path.

* Sat Jun 13 2015 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.01.2-1
- Aligned on StdAir for the CMake helper files.
## END: Generated by rpmautospec
